org.apache.tapestry5.corelib.components

## Class PasswordField

- java.lang.Object
- - org.apache.tapestry5.corelib.base.AbstractField
  - - org.apache.tapestry5.corelib.base.AbstractTextField
    - - org.apache.tapestry5.corelib.components.PasswordField

- All Implemented Interfaces:
    ClientElement, Field

      public class PasswordField
      extends AbstractTextField

  A version of `TextField`, but rendered out as an <input type="password"> element. Further, the output value for a PasswordField is always blank. When the value provided to the PasswordField is blank, it does not update its property (care should be taken that the "required" validator not be used in that case). Includes the `size` attribute, if a `Width` annotation is present on the property bound to the value parameter.
  See Also:
    `Form`, `TextField`, `TextArea`

  Component Parameters
  Name | Type | Flags | Default | Default Prefix
  --- | --- | --- | --- | ---
  annotationProvider | org.apache.tapestry5.ioc.AnnotationProvider |  |  | prop
  Provider of annotations used for some defaults. Annotation are usually provided in terms of the value parameter (i.e., from the getter and/or setter bound to the value parameter).
  clientId | String |  |  | literal
  Used to explicitly set the client-side id of the element for this component. Normally this is not bound (or null) and org.apache.tapestry5.services.javascript.JavaScriptSupport#allocateClientId(org.apache.tapestry5.ComponentResources) is used to generate a unique client-id based on the component's id. In some cases, when creating client-side behaviors, it is useful to explicitly set a unique id for an element using this parameter. Certain values, such as "submit", "method", "reset", etc., will cause client-side conflicts and are not allowed; using such will cause a runtime exception.
  ensureClientIdUnique | boolean | Since 5.4 |  | prop
  A rarely used option that indicates that the actual client id should start with the clientId parameter (if non-null) but should still pass that Id through org.apache.tapestry5.services.javascript.JavaScriptSupport#allocateClientId(String) to generate the final id. An example of this are the components used inside a org.apache.tapestry5.corelib.components.BeanEditor which will specify a clientId (based on the property name) but still require that it be unique. Defaults to false.
  nulls | org.apache.tapestry5.NullFieldStrategy |  | default | nullfieldstrategy
  Defines how nulls on the server side, or sent from the client side, are treated. The selected strategy may replace the nulls with some other value. The default strategy leaves nulls alone. Another built-in strategy, zero, replaces nulls with the value 0.
  translate | org.apache.tapestry5.FieldTranslator | Required, Not Null |  | translate
  The object which will perform translation between server-side and client-side representations. If not specified, a value will usually be generated based on the type of the value parameter.
  validate | org.apache.tapestry5.FieldValidator | Not Null |  | validate
  The object that will perform input validation (which occurs after translation). The validate binding prefix is generally used to provide this object in a declarative fashion.
  value | Object | Required |  | prop
  The value to be read and updated. This is not necessarily a string, a translator may be provided to convert between client side and server side representations. If not bound, a default binding is made to a property of the container matching the component's id. If no such property exists, then you will see a runtime exception due to the unbound value parameter.

  Component Events
  Name | Description
  --- | ---
  parseClient |
  toClient |
  validate |

- - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.corelib.base.AbstractField

      `cssClass, decorator, defaultProvider, disabled, environment, fieldValidationSupport, formSupport, javaScriptSupport, label, request, resources, validationTracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordField()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `ignoreBlankInput()` Returns true, blank input should be ignored and not cause an update to the server-side property bound to the value parameter.
    `protected void` | `writeFieldTag(MarkupWriter writer, String value)` Invoked from `AbstractTextField.begin(MarkupWriter)` to write out the element and attributes (typically, <input>).

    - ### Methods inherited from class org.apache.tapestry5.corelib.base.AbstractTextField

      `getWidth, isRequired, processSubmission`

    - ### Methods inherited from class org.apache.tapestry5.corelib.base.AbstractField

      `decorateInsideField, getClientId, getControlName, getLabel, isDisabled, putPropertyNameIntoBeanValidationContext, removePropertyNameFromBeanValidationContext, setDecorator, setFormSupport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordField

          public PasswordField()

  - ### Method Detail

    - #### writeFieldTag

          protected final void writeFieldTag(MarkupWriter writer,
                                             String value)

      Description copied from class: `AbstractTextField`
      Invoked from `AbstractTextField.begin(MarkupWriter)` to write out the element and attributes (typically, <input>). The controlName and clientId properties will already have been set or updated. Generally, the subclass will invoke `MarkupWriter.element(String, Object[])`, and will be responsible for including an `AfterRender` phase method to invoke `MarkupWriter.end()`.
      Specified by:
        `writeFieldTag` in class `AbstractTextField`
      Parameters:
        `writer` - markup write to send output to
        `value` - the value (either obtained and translated from the value parameter, or obtained from the tracker)

    - #### ignoreBlankInput

          protected boolean ignoreBlankInput()

      Returns true, blank input should be ignored and not cause an update to the server-side property bound to the value parameter.
      Overrides:
        `ignoreBlankInput` in class `AbstractTextField`
      Returns:
        true

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.